7002: Get message

7002: Get message

Retrieves a specific push communication message for an account.

  

Endpoint ID:

7002

Method:

GET

URL:

/communication/push/entity/id/{entity-id}/{message-id}?markAsRead=false

/communication/push/entity/ext-key/{ext-key}/{ext-type}/{message-id}?markAsRead=true



entity-id

Rubiq entity ID that uniquely identifies the account to retrieve the message for



ext-key

External key that uniquely identifies the account to retrieve the message for 



ext-type

Type of external key



message-id

ID of the message to retrieve



markAsRead

Optional: boolean to set the read status of the message. Default is true.

Request body:

None 

Response body:

JSON data containing the push communication details, and the base64 encoded message.

Example – Push communication message with title, link and type
{ "messageID": 23930553, "creationDate": "2014-01-08T17:17:04", "title": "R3JlYXQgbmV3cyBEYXZlIQ==", "message": "DQo8aHRtbD48aGVhZD48L2hlYWQ+PGJvZHk+PC9ib2R5PjwvaHRtbD4=", "link": "http://www.google.com?id=123456789", "type": "BreakingNews", "readStatus": true, "activityID": 12345 }

The possible response body fields are:

messageID

ID of the message that was retrieved

creationDate

The date and time that the message was created

title

A base64 encoded title for the message

message

The base64 encoded message. The decoded message can be plain text or html, depending on the message design.

link

A URL. This may be an external internet address, or an internal link to be used within an app. *

type

The message type - either "Standard" or "BreakingNews". *

readStatus

Whether the message has been marked as read

activityID

ID of the activity that sent the push notification.

* Use of the "link" and "type" properties should be decided between the app developer and the content producer

Status codes:

200

Message retrieved successfully



404

Message was not found

The following sub codes may be returned:

404.1

User not found

404.2

External user could not be found

404.4

This message could not be found